package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * @author Blizzard
 * @create at 2023-09-14 10:54
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_dept_to_dept")
public class DeptToDept extends BaseEntity {
	private static final long serialVersionUID = 1L;


	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("org_dept_id")
	@ApiModelProperty(value = "服务机构顶级id")
	@NotNull(message = "orgDeptId can't be null")
	private Long orgDeptId;

	@ApiModelProperty("租户ID")
	private String tenantId;

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("父主键")
	private Long parentId;

	@ApiModelProperty("机构名")
	private String deptName;

	@ApiModelProperty("机构全称")
	private String fullName;

	@ApiModelProperty("地区编码")
	private String areaCode;

	@ApiModelProperty("祖级机构主键")
	private String ancestors;

	@ApiModelProperty("机构类型")
	private Integer deptCategory;

	@ApiModelProperty("排序")
	private Integer sort;

	@ApiModelProperty("备注")
	private String remark;

	@TableField("social_credit_code")
	private String socialCreditCode;

	@TableField("license_file_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long licenseFileId;

}
