package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Blizzard
 * @create at 2023-09-13 15:07
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@TableName("blade_project")
@Data
public class Project extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@TableField("project_type")
	@NotNull(message = "projectType不可为空")
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "项目类型id")
	private Long projectType;

	@TableField("current_stage")
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "当前阶段id")
	private Long currentStage;

	@TableField("name")
	private String name;

	@TableField("total_amount")
	private BigDecimal totalAmount;

	@TableField("construct_content")
	private String constructContent;

	@TableField("area_code")
	@NotNull(message = "areaCode不可为空")
	@ApiModelProperty(value = "地区编码")
	private String areaCode;

	@TableField("competent_unit")
	@NotNull(message = "competentUnit不可为空")
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主管单位")
	private Long competentUnit;

	@TableField("cooperation_unit")
	@ApiModelProperty(value = "协作单位")
	private String cooperationUint;

	@TableField("industry_id")
	@NotNull(message = "industryId不可为空")
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "行业分类")
	private Long industryId;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty(value = "开始时间")
	private Date startTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty(value = "截止时间")
	private Date endTime;

	@TableField("year")
	@ApiModelProperty(value = "年份")
	private String year;

	@TableField("todo_task")
	@ApiModelProperty(value = "待完成任务数量")
	private Integer todoTask;

	@TableField("img_id")
	@ApiModelProperty(value = "项目图片文件ID")
	private Integer imgId;



}
