package com.wtkj.wrapper;

import com.wtkj.entity.Announcement;
import com.wtkj.entity.AnnouncementSend;
import com.wtkj.service.IAnnouncementService;
import com.wtkj.vo.AnnouncementSendVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.SpringUtil;

import java.util.Objects;

/**
 * @author Blizzard
 * @create at 2023-09-23 11:52
 * @describe
 */
public class AnnouncementSendWrapper extends BaseEntityWrapper<AnnouncementSend, AnnouncementSendVO> {

	private static IAnnouncementService announcementService;

	public static AnnouncementSendWrapper build() {
		announcementService = SpringUtil.getBean(IAnnouncementService.class);
		return new AnnouncementSendWrapper();
	}

	@Override
	public AnnouncementSendVO entityVO(AnnouncementSend entity) {
		AnnouncementSendVO vo = Objects.requireNonNull(BeanUtil.copy(entity, AnnouncementSendVO.class));
		Long annoId = entity.getAnnoId();
		if (annoId != null) {
			Announcement byId = announcementService.getById(annoId);
			if (byId != null) {
				vo.setAnnouncement(byId);
			}
		}
		return vo;
	}
}
